Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport
Interface TransportEventListener

All Known Implementing Classes:
  TransportManager

    public interface TransportEventListener

Method Summary
`void` | `messageReceived(I2NPMessage message, RouterIdentity fromRouter, Hash fromRouterHash)`
`void` | `transportAddressChanged()`

Method Detail

### messageReceived

    void messageReceived(I2NPMessage message,
                         RouterIdentity fromRouter,
                         Hash fromRouterHash)

### transportAddressChanged

    void transportAddressChanged()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD